Bug 478389 - dk_display_get_default_screen: assertion `GDK_IS_DISPLAY (display)' failed
dk_display_get_default_screen: assertion `GDK_IS_DISPLAY (display)' failed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 05:08 EST by Eddie Lania
Modified: 2009-01-06 14:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-06 14:13:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Gdk-errors shown in file xsession-errors (14.28 KB, text/plain)
2008-12-29 05:08 EST, Eddie Lania
no flags Details

  None (edit)
Description Eddie Lania 2008-12-29 05:08:00 EST
Created attachment 327917 [details]
Gdk-errors shown in file xsession-errors

Description of problem: When Glib main loop support is enabled in compiz this error is shown many times in .xsession-errors. Without Glib main loop support it also occurs but less frequent.


Version-Release number of selected component (if applicable):
avahi-glib-0.6.22-11.fc10.i386
glib2-devel-2.18.3-2.fc10.i386
dbus-glib-devel-0.76-3.fc10.i386
glibc-devel-2.9-3.i386
ruby-glib2-0.18.1-2.fc10.i386
pulseaudio-libs-glib2-0.9.13-6.fc10.i386
taglib-sharp-2.0.3.0-7.fc10.i386
glib-1.2.10-30.fc10.i386
poppler-glib-0.8.7-1.fc10.i386
dbus-glib-0.76-3.fc10.i386
glibmm24-devel-2.18.1-1.fc10.i386
glib-devel-1.2.10-30.fc10.i386
glib2-2.18.3-2.fc10.i386
ndesk-dbus-glib-0.4.1-3.fc9.i386
glibc-common-2.9-3.i386
PackageKit-glib-0.3.12-1.fc10.i386
glibmm24-2.18.1-1.fc10.i386
perl-Glib-1.183-1.fc10.i386
glib-java-0.2.6-13.fc10.i386
taglib-1.5-2.fc10.i386
NetworkManager-glib-0.7.0-0.12.svn4326.fc10.i386
glibc-2.9-3.i686
glibc-headers-2.9-3.i386



How reproducible:


Steps to Reproduce:
1. Enable the glib mail loop suppurt plugin in compiz settings manager
2. Open ~/.xsession-errors and watch for Gdk errors
3. For instance, launch gnome-terminal
  
Actual results:(gnome-terminal:4755): Gdk-CRITICAL **: gdk_display_get_default_screen: assertion `GDK_IS_DISPLAY (display)' failed

(gnome-terminal:4755): Gdk-CRITICAL **: gdk_screen_get_width: assertion `GDK_IS_SCREEN (screen)' failed

(gnome-terminal:4755): Gdk-CRITICAL **: gdk_display_get_default_screen: assertion `GDK_IS_DISPLAY (display)' failed

(gnome-terminal:4755): Gdk-CRITICAL **: gdk_screen_get_height: assertion `GDK_IS_SCREEN (screen)' failed


Expected results: None of these errors


Additional info:
Comment 1 Eddie Lania 2008-12-29 06:04:26 EST
Additional information.

When this error occured I was using a Gtk Nimbus theme that uses the Gtk Nimbus engine.

When I switched to the "Nodoka" theme in gnome-appearence-settings, the errors stopped.

I will try with other Gtk theme engines.

Regards,

Eddie.
Comment 2 Eddie Lania 2008-12-29 08:55:34 EST
I tried Murrine, eXpierience and Aurora engines but they do not give these errors.

Eddie.
Comment 3 Rex Dieter 2008-12-29 10:46:43 EST
triaged, reassigning -> glib2
Comment 4 Matthias Clasen 2008-12-29 14:24:59 EST
no indication at all for any glib bug here...
Comment 5 Eddie Lania 2008-12-29 15:03:39 EST
Sorry,

I guess it will be the Nimbus engine then that is buggy.

Regards,

Eddie.
Comment 6 Eddie Lania 2009-01-02 04:37:53 EST
If this inquiry is closed, will it then still be available as a reference?
Can somebody else who encounters the same problem using the Gtk Nimbus engine on Fedora 10 still find it?

Is it okay to close this inquiry?

regards,

Eddie.

Note You need to log in before you can comment on or make changes to this bug.